> For AI agents: [llms.txt](https://docs.trustedauth.com/llms.txt) provides a Markdown index of this documentation.

# Lists domain-based identity providers

`GET /api/web/v1/domainbasedidentityproviders`

Lists domain-based identity providers. Caller requires the CONTEXTRULES:VIEW permission.

## Responses

### 200

Successful

#### application/json

Schema

```json
{
  "type": "array",
  "items": {
    "type": "object",
    "properties": {
      "authenticationEnabled": {
        "type": "boolean",
        "description": "A flag indicating if the external identity provider can be used for user authentication.",
        "example": true
      },
      "buttonImage": {
        "type": "string",
        "description": "The URI of the logo to display on the login button for this external identity provider.",
        "example": "https://account.mycompany.com/images/logo.png"
      },
      "buttonText": {
        "type": "string",
        "description": "The unique text to display on the login button for this external identity provider.",
        "example": "Sign in With MyCompany Co."
      },
      "createUser": {
        "type": "boolean",
        "description": "A flag indicating if the user should be created after authenticating to the external identity provider if it doesn't exist. The user attributes specified by the userAttributeMappings attribute are used to populate the user in IDaaS. This value is used if authenticationEnabled is true.",
        "example": true
      },
      "defaultProvider": {
        "type": "boolean",
        "description": "A flag indicating if this is the tenant's default identity provider. This value applies only to non-domain based identity providers. Only one identity provider can be set as the default at a time."
      },
      "domains": {
        "type": "string",
        "description": "The space separated list of domains associated with the external identity provider for use with user authentication.",
        "example": "test.com sample.com"
      },
      "id": {
        "type": "string",
        "description": "The UUID of the external identity provider.",
        "example": "6784549d-433c-44ea-a42f-4701458dg245"
      },
      "issuer": {
        "type": "string",
        "description": "The issuer URI for the external OIDC identity provider or the issuer, or IDP Entity ID, for the external SAML identity provider.",
        "example": "https://accounts.mycompany.com"
      },
      "name": {
        "type": "string",
        "description": "The unique name of the external identity provider.",
        "example": "MyCompany Co."
      },
      "protocol": {
        "type": "string",
        "description": "The type of the external identity provider.",
        "example": "OIDC",
        "enum": [
          "OIDC",
          "SAML"
        ]
      },
      "spId": {
        "type": "string",
        "description": "The client identifier provided by the external OIDC identity provider or the SP entity ID provided to the external SAML identity provider.",
        "example": "client123"
      },
      "type": {
        "type": "string",
        "description": "The type of the external identity provider.",
        "example": "GENERIC"
      },
      "verificationCertificate2DN": {
        "type": "string",
        "description": "The verification certificate2 DN used with the external identity provider."
      },
      "verificationCertificate2ExpiryDate": {
        "type": "string",
        "description": "The verification certificate2 expiry date used with the external identity provider.",
        "format": "date-time",
        "example": "2019-02-19T13:15:27Z"
      },
      "verificationCertificateDN": {
        "type": "string",
        "description": "The verification certificate DN used with the external identity provider."
      },
      "verificationCertificateExpiryDate": {
        "type": "string",
        "description": "The verification certificate expiry date used with the external identity provider.",
        "format": "date-time",
        "example": "2019-02-19T13:15:27Z"
      },
      "verificationEnabled": {
        "type": "boolean",
        "description": "A flag indicating if the external identity provider can be used for user verification.",
        "example": true
      }
    },
    "description": "An IdentityProvider defines the information returned about an external identity provider for use with user authentication or user verification.",
    "title": "IdentityProvider"
  }
}
```

### 400

Bad Request

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 401

Access denied

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 403

Forbidden

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 404

Not Found

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 409

Conflict

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

## Security

Requirements

```json
[
  {
    "AdminAPIAuthentication": [
      "CONTEXTRULES:VIEW"
    ]
  }
]
```
